# AlienImage_BMPHeader.hxx File Reference

`#include <Standard_Type.hxx>`

## Defines

#define | BI_RGB 0
#define | BI_RLE8 1
#define | BI_RLE4 2
#define | BI_BITFIELDS 3
#define | LOW_VAL_AT_LOW_ADDR (*(char*)&__swaptest)

## Typedefs

typedef unsigned int | DWORD
typedef unsigned int * | PDWORD
typedef int | LONG
typedef unsigned short | WORD
typedef unsigned char | BYTE
typedef tagBITMAPINFOHEADER | BITMAPINFOHEADER
typedef tagBITMAPCOREHEADER | BITMAPCOREHEADER
typedef tagRGBQUAD | RGBQUAD

## Functions

const | Handle (Standard_Type)&STANDARD_TYPE(AlienImage_BMPHeader)

## Define Documentation

#define BI_BITFIELDS 3

#define BI_RGB 0

#define BI_RLE4 2

#define BI_RLE8 1

#define LOW_VAL_AT_LOW_ADDR (*(char*)&__swaptest)

## Typedef Documentation

typedef struct tagBITMAPCOREHEADER BITMAPCOREHEADER

typedef struct tagBITMAPINFOHEADER BITMAPINFOHEADER

typedef unsigned char BYTE

typedef unsigned int DWORD

typedef int LONG

typedef unsigned int* PDWORD

typedef struct tagRGBQUAD RGBQUAD

typedef unsigned short WORD

## Function Documentation

const Handle | ( | Standard_Type |  | ) | `[inline]`